#!/bin/sh
#
#  A simple shell wrapper around the NameSpaceProvider performance
#  testing tool.


[ -f /etc/default/dcache ] && . /etc/default/dcache       
[ -f /etc/dcache.env ] && . /etc/dcache.env               

if [ -z "$DCACHE_HOME" ]; then                            
DCACHE_HOME="/usr/share/dcache"                         
fi                                                        
if [ ! -d "$DCACHE_HOME" ]; then                          
echo "$DCACHE_HOME is not a directory"                  
exit 2                                                  
fi                                                        

DCACHE_CLASSPATH=${DCACHE_HOME}/classes/*                 
DCACHE_DEFAULTS=${DCACHE_HOME}/defaults                   
DCACHE_CACHED_CONFIG=/var/lib/dcache/config/cache         
. ${DCACHE_HOME}/lib/loadConfig.sh

lib="$(getProperty dcache.paths.share.lib)"
. ${lib}/utils.sh

classpath=$(printLimitedClassPath chimera HikariCP javassist \
    guava jline common-cli dcache-common acl-vehicles acl \
    slf4j-api logback-classic logback-core logback-console-config \
    $(getProperty chimera.db.jar))

CLASSPATH="$(getProperty dcache.paths.classpath)" java \
   -Dlog=${DCACHE_LOG:-warn} \
   org.dcache.chimera.PerformanceTest \
    "$(getProperty chimera.db.url)" \
    "$(getProperty chimera.db.user)" \
    "$(getProperty chimera.db.password)" \
    "$@"
